#
# spec file for package gradio

Name:           gradio
Version:        5.0
Release:        %mkrel 2
Summary:        GTK3 app for finding and listening to internet radio stations
License:        GPL-3.0+
Group:          Sound
Url:            https://github.com/haecker-felix/gradio
Source:         https://github.com/haecker-felix/gradio/archive/%{name}-%{version}.tar.xz
Patch0:         audio-player.vala.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#------------------------------------
BuildRequires: gettext-devel
BuildRequires: glibc-devel
BuildRequires: intltool
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgstreamer1.0-devel
BuildRequires: libgstreamer-plugins-base1.0-devel
BuildRequires: libgtk+3.0-devel 
BuildRequires: libjson-glib-devel
BuildRequires: libpango1.0-devel
BuildRequires: libsoup-devel
#------------------------------------
Requires: vala
Requires: libatk1.0_0
Requires: libcairo2 
Requires: libgdk_pixbuf2.0_0
Requires: libgio2.0_0
Requires: libglib2.0_0
Requires: libgstreamer1.0_0
Requires: libgstreamer-plugins-base1.0_0
Requires: libgtk+3_0
Requires: libjson-glib1.0_0
Requires: libpango1.0_0
Requires: libsoup2.4_1
#------------------------------------

%description
Gradio is a native GTK application. It lets you browse, search and find radio
stations, as well as listen to them, without needing to use a browser or enter
an internet radio stream URL. The application uses the Community Radio Browser
website for its database backend.


%prep
%setup -q
%apply_patches

%build
./autogen.sh
%configure2_5x
%make

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gradio
%{_datadir}/applications/de.haeckerfelix.gradio.desktop
%{_datadir}/glib-2.0/schemas/de.haecker-felix.gradio.gschema.xml
%{_datadir}/gradio/gradio.css
%{_datadir}/icons/hicolor/128x128/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/16x16/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/192x192/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/32x32/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/48x48/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/64x64/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/scalable/categories/globe-symbolic.svg
%{_datadir}/icons/hicolor/scalable/categories/language-symbolic.svg
%{_datadir}/icons/hicolor/scalable/categories/map-marker-symbolic.svg
%{_datadir}/icons/hicolor/scalable/categories/tags-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/de.haeckerfelix.gradio-symbolic.svg

%post
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Sun Nov 25 2018 adrianomorselli <adrianomorselli> 5.0-2uplos2018
- imported for uplos
- patch out codec is missing message for now
